#!/usr/local/bin/perl

use strict;


my %data;
while(<STDIN>) {
	chomp();
	my ($type, $pos, @dt) = split(/\t/, $_);
	if($type eq "SNP") {
		$data{"$pos"}->[0] = \@dt;
	} else {
		$data{"$pos"}->[1] = \@dt;
	}
}

while(my ($id, $rdata) = each(%data)) {
	my ($rd1, $rd2) = @$rdata;
	
	print "x <- c(" . join(",", @$rd1) . ")\n";
	print "y <- c(" . join(",", @$rd2) . ")\n";
	print "res <- wilcox.test(x, y)\$p.value\n";
	print qq{cat("$id\\t", res, "\\n", sep="")\n};

}



